En este post te mostraré cómo instalar NodeJS y NPM sobre la Raspberry Pi. Vamos a usar nvm para realizar la instalación, y no vamos a usar apt; de este modo conseguiremos la última versión compatible con ARM.

Este tutorial está probado en Raspbian corriendo sobre una Raspberry Pi 4, pero debería funcionar en otros sistemas similares.

Desinstalar nodejs si está instalado

En caso de que cuentes con node js y npm instalado con apt, simplemente ejecuta:

sudo apt remove nodejs

Descargar nvm

Ejecuta lo siguiente:

curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.34.0/install.sh | bash

Eso va a descargar el archivo del enlace y va a pasar su salida a bash, es decir, ejecutará el archivo install.sh.

Una vez instalado, cierra la terminal y abre otra.

Instalar NodeJS y NPM usando nvm

Ahora simplemente ejecuta:

nvm install node

Eso instalará la última versión disponible. Espera a que termine de descargar e instalar y todo debería funcionar normalmente.

Probar instalación

Ahora puedes comprobar la versión de node con:

node --version

Y también la de npm con:

npm --version

En mi caso se ve así:

Mostrar versión de node y npm en Raspberry pi

Además de la versión ya puedes usar node, ejecutar npm install, etcétera.


Estoy disponible para trabajar en tu proyecto o realizar tu tarea pendiente, no dudes en ponerte en contacto conmigo.
Si el post fue de tu agrado muestra tu apoyo compartiéndolo, suscribiéndote al blog, siguiéndome o realizando una donación.

Suscribir por correo

Ingresa tu correo y recibirás mis últimas entradas sobre programación, open source, bases de datos y todo lo relacionado con informática

Relacionado:  Node.Js + Express: ejemplo de creación de proyecto

Únete a otros 571 suscriptores


parzibyte

Programador freelancer listo para trabajar contigo. Aplicaciones web, móviles y de escritorio. PHP, Java, Go, Python, JavaScript, Kotlin y más :) https://parzibyte.me/blog/software-creado-por-parzibyte/

0 Comments

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

A %d blogueros les gusta esto: